<%@ Page CodeFileBaseClass="IlgharCMS.Lib.AdminPageBase" %>
<ilghar:Get ID="Position" Object="Position" InnerID="Request.QueryString['PositionID']" />
<script language="c#" runat="server">
protected string Condition()
{
	StringBuilder condition = new StringBuilder(Alias.Ad.PositionID + "=" + <%=Position[ID]%>);
	string and = " AND ";

	#region 是否回收
	string isRecycled = Request.QueryString["IsRecycled"];
	if (isRecycled == null)
		condition.Append(and + Alias.Ad.IsDeleted + "=false");
	else if (isRecycled != String.Empty)
		condition.Append(and + Alias.Ad.IsDeleted + "=" + isRecycled);
	#endregion

	#region 是否审核
	string isChecked = Request.QueryString["IsChecked"];
	if (isChecked == null)
		condition.Append(and + Alias.Ad.IsChecked + "=true");
	else if (isChecked != String.Empty)
		condition.Append(and + Alias.Ad.IsChecked + "=" + isChecked);
	#endregion

	#region 关键词
	string keyword = Request.QueryString["Keyword"];
	if (!String.IsNullOrEmpty(keyword))
	{
		if (Request.QueryString["KeywordType"] == "Title")
			condition.Append(and + Alias.Ad.Title + " LIKE '%" + keyword + "%'");
	}
	#endregion
	
	return condition.ToString();
}

protected string Sort()
{
	string sort = String.Empty;
	switch (Request.QueryString["Sort"])
	{
		case "1":
			sort = Alias.Ad.InnerID + " DESC";
			break;
		case "2":
			sort = Alias.Ad.InnerID + " ASC";
			break;
		case "3":
			sort = Alias.Ad.StartTime + " ASC";
			break;
		case "4":
			sort = Alias.Ad.StartTime + " DESC";
			break;
		case "5":
			sort = Alias.Ad.EndTime + " ASC";
			break;
		case "6":
			sort = Alias.Ad.EndTime + " DESC";
			break;
		case "7":
			sort = Alias.Ad.Sort + " ASC";
			break;
		default:
			sort = Alias.Ad.Sort + " ASC";
			break;
	}
	
	return sort;
}

protected bool Move
{
	get
	{
		if (String.IsNullOrEmpty(Request.QueryString["Sort"]) || Request.QueryString["Sort"] == "7")
			return true;
		else
			return false;
	}
}

protected string FormatDate(object date)
{
	if (Convert.IsDBNull(date))
		return String.Empty;
	else
		return Convert.ToDateTime(date).ToString("yyyy-MM-dd");
}
</script>
<table border="0" cellpadding="4" cellspacing="1" class="ListTable">
	<thead>
		<tr>
			<th width="40">选择</th>
			<%If Move%>
				<th width="40">移动</th>
			<%EndIf%>
			<th width="40">编号</th>
			<th width="200">图片</th>
			<th>名称</th>
			<th width="60">开始日期</th>
			<th width="60">结束日期</th>
		</tr>
	</thead>
	<tbody>
		<ilghar:List ID="List" Object="Ad" Page="PageNumber" PageSize="20" Condition="Condition()" Sort="Sort()" Validate="True">
			<ilghar:Record>
				<tr id="Row<%=InnerID%>">
					<td><input type="checkbox" name="Sel" value="<%=InnerID%>" /></td>
					<%If Move%>
						<td><img name="<%=Title%>" sort="<%=InnerID%>" class="Move" src="<%=ImagePath%>move.gif" /></td>
					<%EndIf%>
					<td><%=InnerID%></td>
					<td>
						<%If !String.Equals(Image, String.Empty)%>
							<a href="<%=Image%>" target="_blank"><img src="<%=Image%>" class="Thumbnail" /></a>
						<%EndIf%>
					</td>
					<td class="<%=ContentLang%>Font"><a href="edit.aspx?Lang=<%=ContentLang%>&amp;PositionID=<%=Request.QueryString["PositionID"]%>&amp;ID=<%=InnerID%>"><%=Title%></a></td>
					<td><%=FormatDate(StartTime)%></td>
					<td><%=FormatDate(EndTime)%></td>
				</tr>
			</ilghar:Record>
		</ilghar:List>
	</tbody>
</table>
<ilghar:Pagination Page="PageNumber" PageSize="20" RecordCount="List[RecordCount]">
	<div class="Pagination">
		<div class="Left">共 <%=RecordCount%> 条 当前显示第 <%=PageNumber%> 页 第 <%=RangeLower%>-<%=RangeUpper%> 条 </div>
		<div class="Right">
			<ilghar:FirstPage>
				<ilghar:Yes>
					<img src="<%=ImagePath%>pagination/first_page_off.gif"/>
					<img src="<%=ImagePath%>pagination/previous_page_off.gif"/>
				</ilghar:Yes>
				<ilghar:No>
					<a href="javascript:Go(1)"><img src="<%=ImagePath%>pagination/first_page_on.gif"/></a>
					<a href="javascript:Go(<%=PageNumber%> - 1)" id="PrevPage"><img src="<%=ImagePath%>pagination/previous_page_on.gif"/></a>
				</ilghar:No>
			</ilghar:FirstPage>
			<ilghar:CurrentPage Range="5">
				<ilghar:Yes>
					<span class="Current"><%=Index%></span>						
				</ilghar:Yes>
				<ilghar:No>
					<a href="javascript:Go(<%=Index%>)">[<%=Index%>]</a>
				</ilghar:No>
			</ilghar:CurrentPage>
			<ilghar:LastPage>
				<ilghar:Yes>
					<img src="<%=ImagePath%>pagination/next_page_off.gif"/>
					<img src="<%=ImagePath%>pagination/last_page_off.gif"/>
				</ilghar:Yes>
				<ilghar:No>
					<a href="javascript:Go(<%=PageNumber%> + 1)" id="NextPage"><img src="<%=ImagePath%>pagination/next_page_on.gif"/></a>
					<a href="javascript:Go(<%=PageCount%>)"><img src="<%=ImagePath%>pagination/last_page_on.gif"/></a>
				</ilghar:No>
			</ilghar:LastPage>
		</div>
	</div>
</ilghar:Pagination>